%define upstream_name    Module-Build
%define upstream_version 0.4003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    Build and install Perl modules
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Curses interface for Config::Model
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Module-Build-fix-shebang.diff

BuildRequires: perl(CPAN::Meta) >= 2.110.420
BuildRequires: perl(CPAN::Meta::YAML) >= 0.3.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::Install)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(ExtUtils::Mkbootstrap)
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp) >= 0.150.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Metadata) >= 1.0.2
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.100
BuildRequires: perl(Perl::OSType) >= 1.0.0
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.490.0
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(version) >= 0.870.0
BuildRequires: perl-devel
# (tv) this is a soft dep (require instead of use); w/o it some builds failed with
# "Module::Build is not configured with C_support":
BuildArch:  noarch

Suggests: perl-ExtUtils-CBuilder

%description
Module::Build is a system for building, testing, and installing Perl modules.
It is meant to be a replacement for ExtUtils::MakeMaker. Developers may alter
the behavior of the module through subclassing in a much more straightforward
way than with MakeMaker. It also does not require a make on your system - most
of the Module::Build code is pure-perl and written in a very cross-platform
way. In fact, you don't even need a shell, so even platforms like MacOS
(traditional) can use it fairly easily. Its only prerequisites are modules that
are included with perl 5.6.0, and it works fine on perl 5.005 if you can
install a few additional modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files 
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/inc
%{perl_vendorlib}/Module
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:0.400.300-4.mga3
+ Revision: 369760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1:0.400.300-3.mga3
+ Revision: 315487
- perl 5.16.2 rebuild

* Tue Sep 04 2012 tv <tv> 1:0.400.300-2.mga3
+ Revision: 288231
- fix testsuie
- stop replacing "!/usr/bin/perl" by "#!/usr/bin/perl5161"

* Fri Aug 31 2012 kharec <kharec> 1:0.400.300-1.mga3
+ Revision: 286337
- update to 0.4003

* Fri Aug 24 2012 jquelin <jquelin> 1:0.400.100-3.mga3
+ Revision: 283625
- perl 5.16.1 rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1:0.400.100-2.mga3
+ Revision: 283544
- perl 5.16.1 rebuild

* Mon Jul 02 2012 jquelin <jquelin> 1:0.400.100-1.mga3
+ Revision: 266674
- update to 0.4001

* Thu May 31 2012 jquelin <jquelin> 1:0.400.0-1.mga3
+ Revision: 252187
- update to 0.40
- fix %%files after rename
- fix script conflicts with perl
- remove old tarball reference

* Sun Jun 19 2011 jquelin <jquelin> 1:0.380.0-2.mga2
+ Revision: 109887
- rebuild script for perl 5.14.1

* Thu Mar 10 2011 jquelin <jquelin> 1:0.380.0-1.mga1
+ Revision: 67599
- new version 0.3800
- update to 0.3800

* Mon Jan 31 2011 jquelin <jquelin> 1:0.362.400-1.mga1
+ Revision: 45212
- adding missing buildrequires:
- update to 0.3624

* Wed Jan 19 2011 jquelin <jquelin> 1:0.360.700-1.mga1
+ Revision: 24268
- fix specs
- fix specs
- imported package perl-Module-Build

